{% extends 'base.html' %}
{% block title %}
    <div class="d-flex align-items-center"><a href="{% url 'categoryDetail' activeCategory.id %}">
    <h1>Товары</h1></a> <h1 style="font-size:50px;" class="ml-3 mr-3 fa fa-angle-right"></h1>
    <h1>{{ item.name }}</h1>
</div>
{% endblock %}

{% block content %}
 <div id="slider2" class="mt-3 owl-carousel category-carousel col-lg-8">

            <a class="card category-active category border-round">{{ activeCategory.name }}</a>
          {% for category in categories %}
              <a class="card category" href="{% url 'categoryDetail' category.id %}">{{ category.name }}</a>
          {% endfor %}

</div>
<div class="d-flex flex-wrap">
    <div class="d-inline-flex col-12 col-md-5 flex-wrap align-items-center">
        <div  id="slider-nav" class="slider col-3 carousel-slider">
             {% for image in images %}
                 <div class="carousel-div">
                    <img class="border-round" src="{{ image.image.url }}"/>
                 </div>
            {% endfor %}
        </div>
        <div id="slider1" class="slider col-9">
            {% for image in images %}
                <div data-hash="{{ image.id }}" class="carousel-div">
                    <img class="border-round img-fluid" src="{{ image.image.url }}"/>
                </div>
            {% endfor %}
        </div>
      </div>
    <div class="item-description col-12 col-md-7">
        <h4>{{ item.name }}</h4>
        <pre style="white-space: pre-wrap; word-wrap: break-word; ">
        <p class="item-description-text">{{ item.description }}</p>
            </pre>
            <label class="item-description-content">
              <p>Категория </p>
            <p>{{item.category}}</p>
          </label>
          <label class="item-description-content">
              <p>Цена </p>
            <p class="price">{{item.price}} TED</p>
          </label>
    </div>
  </div>
    </div>
    {% if extra%}
    <div class="col-12 item-extra">
      <h4>Доп. Характеристики</h4>
      {% for info in extra %}
         <label class="item-description-content item-extra-content">
              <p>{{info.title}} </p>
            <p>{{info.description}}</p>
          </label>
      {% endfor %}
    </div>
    {% endif %}
    <div class=" col-lg-12 mb-5 mt-5">
    <h5>Похожие товары</h5>
    <div class="similar">
        {% for item in items %}
            <a href="{% url 'itemDetail' item.id %}" class="col-lg-2 col-10 card-container"  >
                    <div class="card item">
                        <img src="/media/{{ item.photo }}" class="img-fluid card-img-top"/>
                        <div class="card-body">
                            <p class="card-title"> {{ item.name }} </p>
                            <p class="d-flex justify-content-between">
                               <span>Категория:</span> <span>{{ item.category.name }}</span></p>
                            <p class="d-flex justify-content-between">
                                <span>Цена:</span><span>{{ item.price}} TED</span></p>
                        </div>
                    </div>
            </a>
        {% endfor %}
        </div>
    </div>
{% endblock %}

{% block script %}
    <script>
     $("#slider2").owlCarousel({
      margin:10,
    loop:false,
    autoWidth:true,
    items:4
  });
     var $slickFrame = $('.tab-slider-thumbs__list');

var slideWidth = $slickFrame.width() / 3;
var centerPadding = (slideWidth / 4) * 3;
             $('#slider1').slick({
      slidesToShow: 1,
      arrows: false,
      asNavFor: '#slider-nav',
      vertical: true,
      autoplay: false,
      infinite: false,
      verticalSwiping: true,
        centerPadding: centerPadding + 'px',
                 centerMode: true,
                 adaptiveHeight: true,
    });


          $('#slider-nav').slick({
            dots: false,
            vertical: true,
            slidesToShow: 3,
            slidesToScroll: 1,
            verticalSwiping: true,
              asNavFor: '#slider1',
          focusOnSelect: true,
            autoplay: false,
            pagination: false,
            infinite: false,
            prevArrow: '<button class="slide-arrow prev fa fa-angle-up"></button>',
            nextArrow: '<button class="slide-arrow next fa fa-angle-down"></button>',

          });

     </script>
{% endblock %}